/// <reference types="google.maps" />
import React from "react";
import useMap from "./hooks/useMap";
interface MapProps extends google.maps.MapOptions {
    className?: string;
    children?: React.ReactElement | React.ReactNode | React.JSX.Element;
    onClick?: (e: google.maps.MapMouseEvent) => void;
    onDoubleClick?: (e: google.maps.MapMouseEvent) => void;
    onBoundsChanged?: (e: google.maps.MapMouseEvent) => void;
    onCenterChanged?: (e: google.maps.MapMouseEvent) => void;
    onContextMenu?: (e: google.maps.MapMouseEvent) => void;
    onDrag?: (e: google.maps.MapMouseEvent) => void;
    onDragend?: (e: google.maps.MapMouseEvent) => void;
    onDragstart?: (e: google.maps.MapMouseEvent) => void;
    onHeadingChanged?: (e: google.maps.MapMouseEvent) => void;
    onIdle?: (e: google.maps.MapMouseEvent) => void;
    onMapTypeIdChanged?: (e: google.maps.MapMouseEvent) => void;
    onMouseMove?: (e: google.maps.MapMouseEvent) => void;
    onMouseOut?: (e: google.maps.MapMouseEvent) => void;
    onMouseOver?: (e: google.maps.MapMouseEvent) => void;
    onResize?: (e: google.maps.MapMouseEvent) => void;
    onRightClick?: (e: google.maps.MapMouseEvent) => void;
    onTilesLoaded?: (e: google.maps.MapMouseEvent) => void;
    onZoomChanged?: () => void;
}
declare const Map: (props: MapProps) => React.JSX.Element;
export default Map;
export { useMap };
